Bug 794977 - [abrt] libreoffice-core-3.3.4.1-2.fc15: recursivelyFindType (SIGSEGV)
[abrt] libreoffice-core-3.3.4.1-2.fc15: recursivelyFindType (SIGSEGV)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephan Bergmann
Fedora Extras Quality Assurance
abrt_hash:626995c318c09a2d8562a95e974...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-18 08:17 EST by Ren-Bo Wang
Modified: 2012-02-21 05:09 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-21 05:09:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: dso_list (20.86 KB, text/plain)
2012-02-18 08:17 EST, Ren-Bo Wang
no flags Details
File: maps (80.71 KB, text/plain)
2012-02-18 08:17 EST, Ren-Bo Wang
no flags Details
File: backtrace (88.54 KB, text/plain)
2012-02-18 08:17 EST, Ren-Bo Wang
no flags Details

  None (edit)
Description Ren-Bo Wang 2012-02-18 08:17:01 EST
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin -splash-pipe=5
comment:        dont know what happened
component:      libreoffice
crash_function: cppu::(anonymous namespace)::recursivelyFindType
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         2.6.42.3-2.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        libreoffice-core-3.3.4.1-2.fc15
reason:         Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
time:           Sat Feb 18 11:35:11 2012
uid:            500
username:       RBWang
xsession_errors: 

backtrace:      Text file, 90668 bytes
dso_list:       Text file, 21363 bytes
maps:           Text file, 82643 bytes

build_ids:
:318d7ebb9ff61bf5d08d070bb0fa793c4c0d9cb0
:8931ab3c073ffb8513aa5e95e6df924ee22b3691
:f65baade131f67f424c4167cb2f046cb63a96c01
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:1ba57a696637c1e23edecbd851a292f85214b29c
:fc831f50ab3eaa9c53890015d210ccca55822a7a
:7ff59f3ec00ebb70f32a3f3d6373e19cdc03d0cd
:7344cc326e870bf2ff3bee89b45eea92ac602a45
:89017ab0b75e533e4294f74ee8f7db3daceea536
:845ccf45806354b4c84d3f1786bf648e03f83dab
:a35b306fe09df7a8025ae8686c9fcc98ec550ed7
:cb5230daa75d4d6c3281af21d682405bad4e6656
:d0c6e13f00a20952a72a945c929efb175fd760e3
:0d26fc177f81d99d8a8dce7b1425a47a52433597
:1cd93d403416b8ac6f7ae3ffa432b05a7c6d5158
:2e19ea341043600099c45546ebb953cd39fb1612
:0b1f69c75c16ae2ee963cec0721f0e67e2b0f630
:9cc063050dab2032a1639b4c27f6b650d1ee632e
:5dddbb646db3ca0f93a9848c66c8a6dd1b335466
:7c5b115e0051988c376f77683a434e63e08f80c7
:694720719702047d15eb06db4abc65a9a5770d96
:aaf62304b0fc10611d35b4f56005479d4c58868d
:ef73ad7552dd619f1b934cdc692c5e7f49b41296
:037ef0ce27840e5d21c9b0eb146bc9454e20d7e2
:c11e60e4a620eae04e6ee2383cc8673e096c7cb2
:00a18c135b4dd53609f8c1341263838da6b37a98
:41e8b8073ee1abe14cfcdb489c41f83237c9a27e
:b7c2fa38ee1469af49d9cdc75d444a93f33286e4
:c7803e0e6512b90b085ce082eb59633837b36a13
:95aa5b6ba5ddc1a82c69c559f27bf032a58b2b92
:d87cdd71509313424501facf8bc2edd95430264f
:956ba7c4c0243aa4db242c7374401f1e2aa19272
:91689252818532ec13597b6528d38be93b2706c4
:3dd00a31cf09e7d59a58bbcf0750e12401a23e53
:b37b3e32f1c15e504e736357f80552235427ae23
:9cd020ec2107c08febe2c8fcabd158212c207854
:4c7e95adf3ebf234c3296a412389fb303f4facf0
:c08ee75747f49663df26be3e321cb24fbf70a426
:23b6792e3218744316fd495002f40a037c2e0095
:a9ba408d4f5310322ffba97b644bb6e55924d260
:f607214a962a8c327a1620281080c62fbbf912be
:956ae0e7c1f9a5b52b5e439f6773fba2c65aa463
:5c3006bc592a6738c265f3c1c05beabd362c9c2d
:ceaa684936786acf291238eba8edae60c9108c70
:0728575fc385595f7842df342a1aeb3ceb958249
:7d40ef2ad0001b76937e6ca95700889839d355d0
:d5e5de8d7cfbc499609006ad34df6ec306ae59d6
:7725c24fcca3694f3ffc588ec5a736f480903f4d
:0b232e446650ce07a3e70bae4f00a7ad5eda2630
:07133b9ee9844a3e7546062b1b26c115c66aefb1
:aacdc8ea0c4e93eb621123e7f3570c27bf8488a5
:a860ea4c64e1f6a95b79f78d768fe6eba8802038
:eaed7b315997390c2f113a46cd0300a579c3f59b
:5a1e659de0e28d071a3232b82c926f9d3a96da9e
:17e8fca193cfa612bf826fa5c6419eb4251bbfdc
:fd96499d577e0e8b896267d32d412fd78cc4816d
:044ab7de5ae807a42e57f81969744ed56d9071fe
:1be645ca6b5849fcafc24b70a4fbfe68d2c95f0a
:95a87e42eb97b014ed4bcb1b83e9f96d9699725e
:a1ebb25180b48775b8a428e9e2a9ddc75d8a91ae
:de491859a328bf20e53fa28b204d1e49b33c09e3
:96ffd421afec0236d71a8ca44f07259788006092
:189c7475c0490584f314acd7377d00adc0fc2b1a
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:087f3b383512e5ebb6de228c20a0074c908be719
:31ced6922dfbbf2c78cdd993d2a66c7320e3041a
:735e202d9245e5b4db4c98408822f40bccb70964
:39ca1ef89b442719bc9e61cca27315bdc29d40d5
:48aea888319e1848137073c9cbde54a4c2a731c9
:88c273fb9c6869c8e7a2c4ef8e1a8f10b50d1b49
:f04444ade6204948ab6ed88b315340e739605d76
:f1dc650713bd8431f2c5aaff5901db7a8783a1c0
:d259f77e246b7dde5797633a40e4a655375f9b97
:6eb9403f0654bf6c83bcdf65bf7b3b6f9ef01441
:9b73313c44bdc1cd06a34baae2669feeb0d02d49
:23cb02cc042d693b12e0fc862bd78c6f078bccbc
:34fdb31481906f347f8dd8215f0df5d3f074167b
:970842fa75ba20747eca2cc6d47e51917466f2b9
:2daecfefdbeb3dd2e9dba101f0b24701fbe76147
:1841f2447828153852c07fee469e8fb5b23b01a6
:79db15f095003a07c913bee3da6cb523f1ebc033
:3762996f15b13f0055533bd1b58d6961d71dc888
:3eb8f6e824315bc26a5402144ae601d34da1a9fb
:f277cf8af7532168ab476e5f7bddaa44e74ff642
:a08df768c2f2dc26670ee8d512663c2ed6669df2
:876e109b32b4120f117901480512f2714d629558
:5d661a9666f613a0bb88f2677505d36aa5260ba3
:8efd15a0d270cdecc152710f500e9d87ea892897
:4c42748309a4f4b4e393af1e5d4728c1d179a2bf
:9b3af3c4e04ceb5aaa350786fd48189771cc5d0c
:6fbf58eab5c673ca7b13d6d7d50e319006949a0b
:90a350829963c874f8c789ee3ad9221fb3e50bd5
:897c44a073d2593c6efe859dc3f43125eb0bdd19
:7fb3a9d82818489a389a820b3e474c702208c607
:2c54bc5eca629a2c30822c0ba55e450d6fa7a9ab
:1541a10957f3f42646dd12286aa4644ad5d8d0fc
:30bf195f94c7b2965a718cffa02bb2bdb260efa7
:f9a15f1cb853aa8ed2123815c88b2793f6de60b1
:a8d252d8de45fa35974413a1ca7c605945efc74b
:fd98097a319dc3b09b0fe2b8271619bcecbde7d7
:6162aef2617fc89176e1bda96ef3cdefc54fa19d
:16ded3e244c9f92fea7c6bec59ff112fe99c9a8c
:f4d30053d2c9fbd9b738130ed7489e2885060cc6
:ecd50347d115729509de3b7709d098e9a569dded
:1c6a95451ee19617be5abea3d121f0226d21ddda
:8f62869d8121d337d25c71fbb66292e8a98fffe2
:66fd5631646e25618ac483c1196b4c032cc6326c
:11914a5753b492e7574a8ad63cfb9c1f8a266d26
:947cd918436a2e004a0bb4fd34284f900c6fd556
:9efbd777e3ab5beef2d84216fcadc16091995658
:b885f680ed878bfe711a01ab3b0e424ce47eb313
:fbd54bef89f453a08595703d4be97596775c152e
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:b761df2430ba50d3251a51ca749e1f47e644f298
:26115f8a72e0111be4585efed5707e72068a5bb4
:585e18f56063dab8934660820f0c63765c6c1a1f
:82bb2bdbce6e9ae8e79f7659fcb8ebedf68cdd7f
:afe4ec94c18bd5228bda21a6e8df520ba8e19e37
:555fe9d8d4e46eb06dfdeac35684309dd445fd46
:3b537fd0daf3630e6a5fb221bee4d2437c937d7a
:0911ea7c180d733724f89037b8e8a34e64024aec
:5b839af45516fe8bb5c84b71adfe6a665902736f
:634eca0cadcf35206919dd5e6a8e2e8601276947
:52dc7c53727b28a00a38e94f7ebfedf5033e384b
:e5f626726497a81807681ed0088dbce6d6a1f17b
:1cd0a8e55c9ad30bb0fd6d69deea37ab5e56811a
:f1fc58dcf9facb62d43db21f0951ce266a072d92
:4c842320387ff7f6f91b7842b223c16518be909f
:8f8b2cbd8f46c94d8ef036783bd7d5d65c18a0b8
:eadb9e642988e7043d310f3d380c9fca1c86699a
:f0dd17e2e65a900f978b4150363cf858d4e983cd
:a038bcbf21e7b9abff4855e4dc056c206a69ed0f
:8d979d4d41ec374be43784ac66c4c273ebeba0a5
:39f33e85a09ab74373107228512c714067796b23
:1381f685bffc56dd42e4abfdfac009525176101d
:58bfd72996c5f5f4664127113b7328b23e27693c
:2f771df146654fefe1be7b81cb9ed80d31990be2
:5b393a2379bbc2119dd52861b9d85c4a2072b5da
:1ac6a0cbcd3b04d6172b62d26975a5f68193e6f7
:206ce5b8420e8abe6bfe4131770fe05ce0605f16
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:ec9614ae603aeb492bb0c9ef922bb493ca668df5
:20ff0550e7a542753b4a8671ae238bcf298ebd1d
:7b8d4e50e7f5418fe169639413b1371140f2eed2
:79d2d2a3e3d39fcde3bea274434562ecbc41b360
:8164c04fe43680778d29c2775cef453f494ab62b
:8bdfddc0a41fb964db10d229e6fec1c406e3d85d
:2605988b031acd22963135c5fd3d61490cf6b5d1
:2e5a25370fb063f908942cc4c7c33bedbc2652b1
:5c095e45dc2a56fa1a3dea01c5248ef7971c2d29
:12e7dc68771673ade26d03737bf260f3c5d48ed9
:b5ca138d2a01089ccfdc5cd03bec86aa55d37d3a
:4e07b77adb145cc6404542708f22dc48ded94731
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:990284f4107f8c721070752e0b91d394cc92da4f
:0fae9c0196c4c500fc8c2d42541e00b35a1ab901
:bddfe63bec532e0b73ec716b7e7656a3e042d99e
:aaf554ef7a5fe9ea9d15b8a2f69f8c0df7046aa2
:74d56d8081dbddfee69a599e8e29c40cddf40af2
:c7772b5febd8630233340338be3a263a4cc7594a
:19186808c6a3f3ce1a5d7b510bb1cbaf4338e413
:b91157d4f4244b03b5588e170ace00de8dc8c529
:8133b1436debe5de0f2b6d36bd80a7da8c02f69d
:83eaf534f789338ec43432c66a28bb7680834b45
:cbe1c52837d3c4aca82819c7ba3c8a5389ebe1b5
:85823e018ab923b61c615df7d0c2557efe5d24c6
:27301f5062e80c3247bf89aaf21f0a6e3180168f
:9eb47f9927fdec99ad849f168027ed9751023e6a
:4953d1f613914126bccceb3cb96386647ffba9df
:b9cba55be1d7e8026aed5f7da3d23e5466ce6f19
:5c94d34eef463a380dece1eac0811d6cb2dea2f9
:819d3e279f60378d3a6974e6e3d4fdc8eeb282b3
:f8247040974d48afb14763b3664951f05a6b7bd5
:e58067de18d05b5c4d058fbf746299a72c247b94
:b5ea10ee4151ab4cd10bd9826fa27cf6bf650e2f
:4bd0f107b91c456a337bfff35f60138a29f88319
:4172adbbabebfc3e8ff0710877506e08468734bb
:7e2907a76435b3ab5bb8cf3824256e105b6a6863
:4ddb5d12aa67ab5391f0702d3e7c0a59b6d65b8d
:899888d3392cffc8072c40d2f186f958009ec476
:7bc8664fbc7fb167610674a95d0b838caf52feb5
:0558f0aa9db9e9ba3ea6bededf6e8d5828b718a7
:1303ff662da0bae1f0d47b61678bb962d44de2d7
:80e81e64767fbf874923d839811e72efe51ca835
:ddaccb07249c19d72544053590a31401e305a762
:e567a4b498aa9dfc484575e666a17925f0944318
:430727f8c2266b98bd2cad149c613766e50fb5d9
:c5ddd19dbb5519302e7ea0c277aff312c8ea054a
:d8c30f9c310b4dbfc5bfa58f3752cf653e905493
:65aa47c7140cad101876b8f20694f00deb64363b
:3e7396aeb0cacf83a7416f50cad1ff2d2d5c1594
:08582c7364ae6be2f3b1b2715f677b080bfd6595
:aabfae52f2f9cd3da2a88327b8021a05bc700500
:a4e8ca56e7e7c53e7912f1fec95656dc9816f8b9
:5b03a888ede9eca94c418c750433715958d3af46
:c8e7f118041a9f77e0dd673da11b5653be27b5a2
:c4c3f7db754f01464bfe6de4185fab3e447db88b
:fa565193ba81119aca56fd377f7ce66b560faf7d
:d22eddb7ba72ccff434e57662b372c3fc50cef7f

environ:
:ORBIT_SOCKETDIR=/tmp/orbit-RBWang
:XDG_SESSION_ID=1
:HOSTNAME=NATURE
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=8614
:GPG_AGENT_INFO=/tmp/keyring-YGeihi/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=ca0d47eb4863629f5f5b476e00000011-1329534054.241234-1141463371
:GJS_DEBUG_OUTPUT=stderr
:OLDPWD=/usr/lib64/libreoffice/program
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-YGeihi
:QTINC=/usr/lib64/qt-3.3/include
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=IBus
:USER=RBWang
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/client:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/server:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/native_threads:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64
:SSH_AUTH_SOCK=/tmp/keyring-YGeihi/ssh
:USERNAME=RBWang
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1825,unix/unix:/tmp/.ICE-unix/1825
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/libreoffice-startcenter.desktop
:MAIL=/var/spool/mail/RBWang
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/RBWang/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=ibus
:PWD=/home/RBWang
:XMODIFIERS=@im=ibus
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1817
:LANG=en_US.UTF-8
:GDM_LANG=
:KDEDIRS=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/RBWang
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=RBWang
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-gkyOhLiGF5,guid=3e12671ce87b6cc8e3f4f9fe00000073
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/RBWang
:DISPLAY=:0
:G_BROKEN_FILENAMES=1
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-RBWang-yWB6zf/database
:_=/usr/lib64/libreoffice/program/oosplash.bin

var_log_messages:
:Feb 18 11:35:11 NATURE kernel: [ 2171.702073] soffice.bin[8630] general protection ip:3ada845799 sp:7fff8a4a0330 error:0 in libuno_cppuhelpergcc3.so.3[3ada800000+c7000]
:Feb 18 11:35:12 NATURE abrt[9812]: saved core dump of pid 8630 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-02-18-11:35:11-8630.new/coredump (96960512 bytes)
Comment 1 Ren-Bo Wang 2012-02-18 08:17:07 EST
Created attachment 564048 [details]
File: dso_list
Comment 2 Ren-Bo Wang 2012-02-18 08:17:09 EST
Created attachment 564049 [details]
File: maps
Comment 3 Ren-Bo Wang 2012-02-18 08:17:12 EST
Created attachment 564050 [details]
File: backtrace
Comment 4 Caolan McNamara 2012-02-20 08:13:07 EST
hmm, I haven't a clue.

caolanm->sberg: bt mean anything to you ?

caolanm->rbwang1225: Is the reproducible in any way ?
Comment 5 Stephan Bergmann 2012-02-21 05:09:27 EST
This smells like memory corruption:  In the backtrace for thread 1, the Python printer already cannot print the string content of the "FullPath" Any in the second and third members of the aManList vector in frame #9.

rbwang1225:  Please reopen this issue if you know a way to reproduce this.

Note You need to log in before you can comment on or make changes to this bug.